/*
 * To change this license header, choose License Headers in Project Properties.
 * To change this template file, choose Tools | Templates
 * and open the template in the editor.
 */
package com.cosmodas.EntCosmos;

import java.io.Serializable;
import java.math.BigInteger;
import javax.persistence.Basic;
import javax.persistence.Column;
import javax.persistence.Entity;
import javax.persistence.Id;
import javax.persistence.NamedQueries;
import javax.persistence.NamedQuery;
import javax.persistence.Table;
import javax.validation.constraints.NotNull;
import javax.validation.constraints.Size;
import javax.xml.bind.annotation.XmlRootElement;

/**
 * @author obper
 */
@Entity
@Table(name = "Varticulos_vs_zonar")
@XmlRootElement
@NamedQueries({
        @NamedQuery(name = "Varticulosvszonar.findAll", query = "SELECT v FROM Varticulosvszonar v"),
        @NamedQuery(name = "Varticulosvszonar.findBySucursalCodigo", query = "SELECT v FROM Varticulosvszonar v WHERE v.sucursalCodigo = :sucursalCodigo"),
        @NamedQuery(name = "Varticulosvszonar.findByArticuloCodigo", query = "SELECT v FROM Varticulosvszonar v WHERE v.articuloCodigo = :articuloCodigo"),
        @NamedQuery(name = "Varticulosvszonar.findByArticuloNombre", query = "SELECT v FROM Varticulosvszonar v WHERE v.articuloNombre = :articuloNombre"),
        @NamedQuery(name = "Varticulosvszonar.findByArticuloExistenciaActual", query = "SELECT v FROM Varticulosvszonar v WHERE v.articuloExistenciaActual = :articuloExistenciaActual"),
        @NamedQuery(name = "Varticulosvszonar.findByUnidades", query = "SELECT v FROM Varticulosvszonar v WHERE v.unidades = :unidades"),
        @NamedQuery(name = "Varticulosvszonar.findByExedente", query = "SELECT v FROM Varticulosvszonar v WHERE v.exedente = :exedente"),
        @NamedQuery(name = "Varticulosvszonar.findByFaltante", query = "SELECT v FROM Varticulosvszonar v WHERE v.faltante = :faltante")})
public class Varticulosvszonar implements Serializable {
    private static final long serialVersionUID = 1L;
    @Basic(optional = false)
    @NotNull
    @Size(min = 1, max = 2)
    @Column(name = "sucursal_codigo")
    private String sucursalCodigo;
    @Basic(optional = false)
    @NotNull
    @Size(min = 1, max = 4)
    @Column(name = "articulo_codigo")
    @Id
    private String articuloCodigo;
    @Size(max = 100)
    @Column(name = "articulo_nombre")
    private String articuloNombre;
    @Column(name = "articulo_existencia_actual")
    private Long articuloExistenciaActual;
    @Basic(optional = false)
    @NotNull
    @Column(name = "unidades")
    private BigInteger unidades;
    @Size(max = 32)
    @Column(name = "exedente")
    private String exedente;
    @Size(max = 32)
    @Column(name = "faltante")
    private String faltante;

    public Varticulosvszonar() {
    }

    public String getSucursalCodigo() {
        return sucursalCodigo;
    }

    public void setSucursalCodigo(String sucursalCodigo) {
        this.sucursalCodigo = sucursalCodigo;
    }

    public String getArticuloCodigo() {
        return articuloCodigo;
    }

    public void setArticuloCodigo(String articuloCodigo) {
        this.articuloCodigo = articuloCodigo;
    }

    public String getArticuloNombre() {
        return articuloNombre;
    }

    public void setArticuloNombre(String articuloNombre) {
        this.articuloNombre = articuloNombre;
    }

    public Long getArticuloExistenciaActual() {
        return articuloExistenciaActual;
    }

    public void setArticuloExistenciaActual(Long articuloExistenciaActual) {
        this.articuloExistenciaActual = articuloExistenciaActual;
    }

    public BigInteger getUnidades() {
        return unidades;
    }

    public void setUnidades(BigInteger unidades) {
        this.unidades = unidades;
    }

    public String getExedente() {
        return exedente;
    }

    public void setExedente(String exedente) {
        this.exedente = exedente;
    }

    public String getFaltante() {
        return faltante;
    }

    public void setFaltante(String faltante) {
        this.faltante = faltante;
    }

}
